当前位置:首页 > 开发 > 编程语言 > Spring > 正文

JBoss AS 7.1 与 Spring 出现警告信息解决方案

发表于: 2014-09-24   作者:cjp1989   来源:转载   浏览次数:
摘要: 在使用Jboss开发spring项目时,在启动是出现警告信息: 11:19:23,280 WARN [org.jboss.as.ee] (MSC service thread 1-5) JBAS011006: Not installing optional component org.springframework.web.context.request.async.StandardServl

在使用Jboss开发spring项目时,在启动是出现警告信息:

11:19:23,280 WARN  [org.jboss.as.ee] (MSC service thread 1-5) JBAS011006: Not installing optional component org.springframework.web.context.request.async.StandardServletAsyncWebRequest due to exception: org.jboss.as.server.deployment.DeploymentUnitProcessingException: JBAS011054: 无法找到 class org.springframework.web.context.request.async.StandardServletAsyncWebRequest 的默认构造器

    网上搜索了解决方案是去除debug信息,但是这样不是根本解决办法,我们根据错误信息,来修改。

   下面的解决办法是修改源码,添加默认构造器

    根据错误信息,找到spring-web 下面的StandardServletAsyncWebRequest类,当然是.java 文件

  修改后,会自动生成.class文件,这样用压缩软件打开jar包,把这个class文件拷贝过去。再重新

  启动就不会报 WARN

  /**
   * 新增的默认构造器
   */
     public StandardServletAsyncWebRequest() {}
 
  public StandardServletAsyncWebRequest(HttpServletRequest paramHttpServletRequest,          HttpServletResponse paramHttpServletResponse) {}

 

 

 

 

 

JBoss AS 7.1 与 Spring 出现警告信息解决方案

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
eclipse Kepler + Jboss7.1 参考引用文档: http://www.tekdigest.com/how-to-install-jboss-tools-
1、打开Eclipse 2、输入:jboss tools 点Install(本例已经安装) 勾选JBossAS Tools项,安装完,重
JBoss 7.1.1.Final has been released in 3月份 2012. Lets take a look at its directories, how to
您会收到 SQL Server 2005 安装程序正在运行 Windows Vista 的计算机上的系统配置检查页或 Windows
在windows7操作系统上安装SQL SERVER 2005,默认情况下总要提示 IIS功能要求警告,这是因为SQL2005
1.首先是要add-user.bat,添加用户,在jboss的bin目录下运行add-user.bat 角色是guest不是gutst。照样
1.首先是要add-user.bat,添加用户,在jboss的bin目录下运行add-user.bat 照样添加就可以了.之后就是
在easyui中更换主题为非default的主题,有的主题会出现如下图所示的情况,验证提示信息的提示内容跑到
hadoop安装成功,启动是会有如下的警告信息: 如何去掉改警告信息呢?先去看start-all.sh文件: 这
  昨天把我的4S更新到iOS7.1,今天发下需要更新Xcode到5.1,发现打包项目Archive的时候,多了一堆
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号